#import <React/RCTBridgeModule.h>

@interface RCT_EXTERN_MODULE(ZeoCollect, NSObject)

RCT_EXTERN_METHOD(initalizeBySettingOptions: (NSDictionary *)rawOptions);
RCT_EXTERN_METHOD(setEventNameProperties: (NSString *)eventName);
RCT_EXTERN_METHOD(setEventProperties: (NSString *)eventName event:(NSDictionary *) eventProp)
RCT_EXTERN_METHOD(setInstantEventNameProperties: (NSString *)eventName);
RCT_EXTERN_METHOD(setInstantEventProperties: (NSString *)eventName event:(NSDictionary *) eventProp)
RCT_EXTERN_METHOD(setUserProperties: (NSDictionary *) user)
RCT_EXTERN_METHOD(setUserIdentities: (NSDictionary *) user)
RCT_EXTERN_METHOD(setPageProperties: (NSDictionary *) page)
RCT_EXTERN_METHOD(setConsent: (NSDictionary *) consent)
RCT_EXTERN_METHOD(unsetUserIdentities)
RCT_EXTERN_METHOD(pauseCollection)
RCT_EXTERN_METHOD(resumeCollection)
RCT_EXTERN_METHOD(listenToAskForConsent: (RCTResponseSenderBlock *) cb)
RCT_EXTERN_METHOD(getZI: (RCTResponseSenderBlock *) callback)
RCT_EXTERN_METHOD(resetZI)
RCT_EXTERN_METHOD(setZI: (NSString *)zi);
RCT_EXTERN_METHOD(setATTStatusAndAdvertisingId: (NSString *)status (NSString *)advertisingId);
RCT_EXTERN_METHOD(setAdvertisingIdByATTStatus: (NSString *)status);

+ (BOOL)requiresMainQueueSetup
{
  return NO;
}

@end
